const { getContractAddressByNetworkName } = require('../util/contract-config');
const { registerDecider } = require('./validation-pools');

const {
  ETH_NETWORK,
} = process.env;

const rollupAddress = getContractAddressByNetworkName(ETH_NETWORK, 'Rollup');

const start = async () => {
  console.log('registering validation pool decider for rollup');
  registerDecider((pool, post) => {
    // If this is not sent by the work1 contract, it's not of interest here.
    if (pool.sender !== rollupAddress) return false;

    // TODO: to derive the expected content here, we need information from Matrix.

    return false;
  });
};

module.exports = {
  start,
};
